[**@rxap/ngx-material-authentication v19.0.5-dev.0**](../README.md)

***

[@rxap/ngx-material-authentication](../globals.md) / SignInWithEmailAndPasswordMethod

# Class: SignInWithEmailAndPasswordMethod

Defined in: [login/sign-in-with-email-and-password.method.ts:11](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/sign-in-with-email-and-password.method.ts#L11)

## Implements

- `Method`

## Constructors

### new SignInWithEmailAndPasswordMethod()

> **new SignInWithEmailAndPasswordMethod**(): [`SignInWithEmailAndPasswordMethod`](SignInWithEmailAndPasswordMethod.md)

#### Returns

[`SignInWithEmailAndPasswordMethod`](SignInWithEmailAndPasswordMethod.md)

## Methods

### call()

> **call**(`parameters`): `Promise`\<`void`\>

Defined in: [login/sign-in-with-email-and-password.method.ts:13](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/sign-in-with-email-and-password.method.ts#L13)

#### Parameters

##### parameters

[`SignInWithEmailAndPasswordMethodParameters`](../interfaces/SignInWithEmailAndPasswordMethodParameters.md)

#### Returns

`Promise`\<`void`\>

#### Implementation of

`Method.call`
